GlyphTable.RuleSet (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.complexscripts.fonts

## Class GlyphTable.RuleSet

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphTable.RuleSet

- Direct Known Subclasses:
    GlyphTable.HomogeneousRuleSet
  Enclosing class:
    GlyphTable

      public static class GlyphTable.RuleSet
      extends java.lang.Object

  The `RuleSet` class implements a collection of rules, which may or may not be the same rule type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleSet(GlyphTable.Rule[] rules)` Instantiate a Rule Set.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GlyphTable.Rule[]` | `getRules()`
    `void` | `resolveLookupReferences(java.util.Map<java.lang.String,GlyphTable.LookupTable> lookupTables)` Resolve references to lookup tables, e.g., in RuleLookup, to the lookup tables themselves.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleSet

          public RuleSet(GlyphTable.Rule[] rules)
                  throws AdvancedTypographicTableFormatException

      Instantiate a Rule Set.
      Parameters:
        `rules` - the rules
      Throws:
        `AdvancedTypographicTableFormatException` - if rules or some element of rules is null

  - ### Method Detail

    - #### getRules

          public GlyphTable.Rule[] getRules()

      Returns:
        the rules

    - #### resolveLookupReferences

          public void resolveLookupReferences(java.util.Map<java.lang.String,GlyphTable.LookupTable> lookupTables)

      Resolve references to lookup tables, e.g., in RuleLookup, to the lookup tables themselves.
      Parameters:
        `lookupTables` - map from lookup table identifers, e.g. "lu4", to lookup tables

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.